Mit dem entschlüsselten Stylesheet besteht die Möglichkeit, die XSL-Datei unabhängig vom Datenprüfprogramm aufzurufen. Das Stylesheet prüft und protokolliert inkl. validation_provider (prüfende Institution):  
* QSDOK.Regeln mit QSDOK.Regeln.gueltigNachExport auf Datensatzebene  
* QSDOK.vPuefung mit QSDOK.vPruefung.dpp == true auf Dokumenten- und Datensatzebene  

technische Voraussetzung:  
* Schemakonformität (schließt Wohlgeformtheit ein)  

Parameter der Stylesheets:  
* validation_id  
    höchste bisher in der Exportdatei geschriebene validation_item/@id plus 1, bspw. "1"  
* c_date  
    Zeitstempel der Prüfung  
    DateTime, sekundengenaue Zeitangabe von 2022 bis 2099 ohne Angabe  
    einer Zeitzone und Ausschluss von "-2022-10-26T21:32:52"  

    Format CCYY-MM-DDThh:mm:ss:  
    -- &quot;CC&quot; für Jahrhundert  
    -- &quot;YY&quot; für Jahr  
    -- &quot;MM&quot; für Monat  
    -- &quot;DD&quot; für Tag  
    -- &quot;hh&quot;, &quot;mm&quot; und &quot;ss&quot;: Stunden, Minuten und Sekunden.  

    Der Buchstabe &quot;T&quot; dient als Trennzeichen zwischen Datum und Zeit.  
* provider_address  
    optional  
* provider_email  
    optional  
* provider_fax  
    optional  
* provider_function  
    "Datenannahmestelle"  
* provider_name  
    Name der Institution  
* provider_phone  
    optional  
* provider_registration  
    Dummy-Wert "000"  

output:  
* Exportdatei angereichert um die Prüfergebnisse.  
  * Im Unterschied zum Datenflussprotokoll enthält der Output noch qs_data.  
* Editiert sind im Output:  
  * /root/header/provider  
  * /root/header/document/modification_dttm/@V  

Was unterscheidet den Output von einem Datenflussprotokoll:  
* das_receive_dttm (Zeitstempel des Dateneingangs bei der DAS)  
* Schemaprüfung (schließt Wohlgeformtheit ein)  
* QSDOK.vPruefung mit QSDOK.vPruefung.dpp == false müssen vorher separat von diesem Stylesheet geprüft und bei Fehler protokolliert werden.  
  * Neuberechnung von  
    * /root/body/data_container/cases/case/case_admin/protocol/validation_item/status/@V  
    * /root/body/data_container/cases/case/case_admin/protocol/status_case/@V  
    * /root/header/protocol/validation_provider/validation_item/status/@V  
    * /root/header/protocol/status_document/@V  
* Das Attribut QSDOK.vPruefung.meta_DS ist zu beachten.  
* Entfernen von /root/body/data_container/cases/case/qs_data  
* Schreiben von /root/header/protocol/@feedback_range mit Wert "dataflow"  


sonstige Hinweise:  
* Ein guter Einstiegspunkt zum Ausführen von XSL ist der XML Editor Oxygen.  
* QSDOK.Regeln können im Stylesheet mit idRegeln gesucht werden.  
* Prüfungen aus QSDOK.vPruefung können mit der zugehörigen QSDOK.vPruefung.fkFehlermeldung gesucht werden.  
* Das Stylesheet enthält Funktionen, die im Rahmen von QSFFx nicht zur Anwendung kommen:  
  * iqtig:Jahr  
  * iqtig:Quartal  
  * iqtig:Monat  
  * iqtig:gestAlter  
  * iqtig:anzahlSchaedellagen  
  * iqtig:NeutralNullPlausi3  
  * iqtig:NeutralNullPlausi2  
  * iqtig:NeutralNullPlausi  
  * iqtig:MaxGanzeZahl  
  * iqtig:reg_no_hessen  
  * iqtig:formatListe  
  * iqtig:AbstandInStunden  
  * iqtig:alter  
  * iqtig:MinDatum  
  * iqtig:replace_icd  
  * iqtig:replace_ops